#
# spec file for package jgraphx
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define src_ver 3_1_2_1
Name:           jgraphx
Version:        3.1.2.1
Release:        7.3.1
Summary:        Java-based Diagram Component and Editor
License:        BSD-3-Clause
Group:          Development/Libraries/Java
Url:            http://www.jgraph.com/
Source0:        http://downloads.jgraph.com/downloads/jgraphx/archive/jgraphx-%{src_ver}.zip
Patch0:         jgraphx-CVE-2017-18197.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  unzip
Requires:       java
Requires:       jpackage-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Jgraphx is the a lightweight and feature-rich graph component for Java,
and the successor to jgraph. It provides automatic 2D layout and routing
for diagrams. Object and relations can be displayed in any Swing UI
via provided zoomable component.

%prep
%setup -q -n %{name}
%patch0 -p2

# fix executable permissions
chmod 644 docs/manual/images/mx_man_graph_analysis.jpg

# remove all binary libs
find -type f -name "*.jar" | xargs -t rm

%build
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5

# Remove copies of source so that we don't confuse
# the debuginfo finder
rm -rf build/src dist/%{name}-%{version}-src

%install

# jars
mkdir -p %{buildroot}%{_javadir}
cp -p lib/jgraphx.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd  %{buildroot}%{_javadir}
    #create symlink
    ln -s %{name}-%{version}.jar %{name}.jar
popd

%files
%defattr(-,root,root)
%doc license.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%changelog
* Thu Mar  1 2018 pmonrealgonzalez@suse.com
- Security fix [bsc#1083413, CVE-2017-18197]
  * In mxGraphViewImageReader.java in mxGraph before 3.7.6, the
    SAXParserFactory instance in convert() is missing flags to
    prevent XML External Entity (XXE) attacks.
  * Added jgraphx-CVE-2017-18197.patch
* Thu Jan 29 2015 p.drouand@gmail.com
- Update to version 3.1.2.1
  * No changelog available
* Fri Jun 27 2014 tchvatal@suse.com
- Cleanup with spec-cleaner
- Build on SLE11
* Sat May 17 2014 dmitry_r@opensuse.org
- Remove documentation with problematic license
* Fri May  2 2014 dmitry_r@opensuse.org
- Fix link to source archive
* Sun Mar  9 2014 badshah400@gmail.com
- Update to version 2.5.0.2
  + Lots of changes to list, see
    http://www.jgraph.com/mxchangelog.html for a list.
- Remove conditionals pertaining to EOL openSUSE versions.
* Fri Nov 30 2012 dmitry_r@opensuse.org
- Update to version 1.10.4.0
* Fri Sep  7 2012 dmitry_r@opensuse.org
- Update to version 1.10.3.1
* Sat Jul  7 2012 scorot@free.fr
- fix build for SLE 11
* Fri Sep 24 2010 vincent.lejeune@scilab.org
- update to 1.4.1.0
* Sat Jun 26 2010 kirill.kirillov@gmail.com
- update to 1.4.0.4
* Sun Jun 13 2010 kirill.kirillov@gmail.com
- update to 1.4.0.3
* Thu Mar 11 2010 kirill.kirillov@gmail.com
- simplify spec
* Sat Feb 13 2010 andrea@opensuse.org
- new package
